Get one automation run with logs and output
curl --request GET \
--url https://api.trycomp.ai/v1/tasks/{taskId}/automations/{automationId}/runs/{runId} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/tasks/{taskId}/automations/{automationId}/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/tasks/{taskId}/automations/{automationId}/runs/{runId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "ear_abc123def456",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"evidenceAutomationId": "aut_abc123def456",
"status": "pending",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"success": true,
"error": "<string>",
"evaluationStatus": "pass",
"evaluationReason": "<string>",
"triggeredBy": "manual",
"runDuration": 123,
"version": 123,
"taskId": "<string>",
"evidenceAutomation": {
"name": "<string>"
},
"logs": [
"<string>"
],
"output": {},
"payloadTooLarge": true,
"payloadBytes": 123
}Task Automations
Get one automation run with logs and output | Comp AI API
Returns one automation run with its logs and output, which the run list omits. Over 100 MB they are null with payloadTooLarge true. Use after listing runs.
GET
/
v1
/
tasks
/
{taskId}
/
automations
/
{automationId}
/
runs
/
{runId}
Get one automation run with logs and output
curl --request GET \
--url https://api.trycomp.ai/v1/tasks/{taskId}/automations/{automationId}/runs/{runId} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/tasks/{taskId}/automations/{automationId}/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/tasks/{taskId}/automations/{automationId}/runs/{runId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "ear_abc123def456",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"evidenceAutomationId": "aut_abc123def456",
"status": "pending",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"success": true,
"error": "<string>",
"evaluationStatus": "pass",
"evaluationReason": "<string>",
"triggeredBy": "manual",
"runDuration": 123,
"version": 123,
"taskId": "<string>",
"evidenceAutomation": {
"name": "<string>"
},
"logs": [
"<string>"
],
"output": {},
"payloadTooLarge": true,
"payloadBytes": 123
}Authorizations
API key for authentication
Path Parameters
Task ID
Automation ID
Automation run ID
Response
Run retrieved successfully
Example:
"ear_abc123def456"
Example:
"aut_abc123def456"
Available options:
pending, running, completed, failed, cancelled Available options:
pass, fail Available options:
manual, scheduled, api Run duration in milliseconds
Script version that was executed; null for a draft run
Show child attributes
Show child attributes
Log lines; null when payloadTooLarge is true
Script result (any JSON); null when payloadTooLarge is true
True when logs and output exceed 100 MB and were omitted
Combined size of logs and output in bytes
Was this page helpful?

